GDB (xrefs)

Public Attributes | List of all members
abbrev_info Struct Reference

## Public Attributes
unsigned int | number
enum dwarf_tag | tag
unsigned short | has_children
unsigned short | num_attrs
struct attr_abbrev * | attrs
struct abbrev_info * | next

## Detailed Description

Definition at line 1474 of file dwarf2read.c.

## Member Data Documentation

## ◆ attrs

struct attr_abbrev* abbrev_info::attrs

Definition at line 1480 of file dwarf2read.c.

Referenced by abbrev_table_read_table(), read_full_die_1(), read_partial_die(), and skip_one_die().

## ◆ has_children

unsigned short abbrev_info::has_children

Definition at line 1478 of file dwarf2read.c.

Referenced by abbrev_table_read_table(), read_full_die_1(), read_partial_die(), and skip_one_die().

## ◆ next

struct abbrev_info* abbrev_info::next

Definition at line 1481 of file dwarf2read.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), abbrev_table_add_abbrev(), and abbrev_table_lookup_abbrev().

## ◆ num_attrs

unsigned short abbrev_info::num_attrs

Definition at line 1479 of file dwarf2read.c.

Referenced by abbrev_table_read_table(), read_full_die_1(), read_partial_die(), and skip_one_die().

## ◆ number

unsigned int abbrev_info::number

Definition at line 1476 of file dwarf2read.c.

Referenced by abbrev_table_lookup_abbrev(), and abbrev_table_read_table().

## ◆ tag

enum dwarf_tag abbrev_info::tag

Definition at line 1477 of file dwarf2read.c.

Referenced by abbrev_table_read_table(), load_partial_dies(), read_full_die_1(), and read_partial_die().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c